{% load static wagtailcore_tags %}

<div class="__js-root">
    <ui-app inline-template>
        <div class="flex flex-row flex-wrap xl:items-center mt-20 mb-8 xl:mt-0">
            <div class="mr-20">
                <img src="{% static "shared/img/newsletter.svg" %}" alt="newsletter_icon" class="newsletter-grid__icon text-7xl xl:text-9xl w-32">
            </div>
            <div>
                <h5 class="font-alt mb-2 text-5xl md:text-6xl xl:text-7xl uppercase">
                    Odebírej náš newsletter
                </h5>
                <span class="inline-block uppercase text-xl xl:text-base font-bold mb-4 xl:w-full">
                  {{ value.description }}
                </span>
                <div data-success="true" style="display: none;">
                    <ul class="flex flex-col w-full drop-shadow-lg">
                        <li class="px-5 py-4 text-center relative bg-green-400 text-white">
                            <i class="ico--checkmark mr-2"></i>
                            Zkontroluj si prosím schránku, poslali jsme ti potvrzovací e-mail.
                        </li>
                    </ul>
                </div>
                <div class="flex flex-col items-start">
                    <formulate-form name="newsletter" @submit="mailtrainsubmit" #default="{ isLoading }" :form-errors="mailtrainerrors()">
                        <formulate-errors></formulate-errors>
                        {% csrf_token %}
                        <formulate-input
                            type="hidden"
                            name="list_id"
                            value="{{ value.list_id }}"
                        ></formulate-input>
                        <formulate-input type="email" name="email" label="Tvůj e-mail"
                            placeholder="Tvůj e-mail" validation-name="E-mail" validation="^required|email" error-behavior="blur"
                            label-class="sr-only"></formulate-input>
                        <formulate-input type="checkbox" name="consent" validation-name="Souhlas se zpracováním osobních údajů" :wrapper-class="() => []" :input-class="() => []" :element-class="() => ['checkbox', 'form-field__control', 'flex', 'items-center', 'mb-3']" validation="required" error-behavior="blur">
                            <template #suffix="{ id }">
                                <label :for="id" class="text-xs font-alt font-light">
                                    Souhlasím se <a href="https://www.pirati.cz/ochrana-osobnich-udaju/">zpracováním osobních údajů</a>
                                </label>
                            </template>
                        </formulate-input>
                        <button type="submit" class="btn btn--black font-alt btn--to-yellow-500 btn--hoveractive uppercase">
                            <div class="btn__body-wrap">
                                <div v-html="isLoading ? 'Odesílám...' : 'Odebírat'" class="btn__body"></div>
                            </div>
                        </button>
                    </formulate-form>
                </div>
            </div>
        </div>
    </ui-app>
</div>
